return {
  "neovim/nvim-lspconfig",

  config = function()
    local lspconfig = require("lspconfig")
    local mason_registry = require("mason-registry")
    local volar_path = mason_registry.get_package("vue-language-server"):get_install_path() .. "/node_modules/@vue/language-server"

    lspconfig.clangd.setup({
      cmd = { "clangd", "-header-insertion=never" },
    })
    lspconfig.lua_ls.setup({})
    lspconfig.matlab_ls.setup({})
    lspconfig.mesonlsp.setup({})
    lspconfig.sqlls.setup({})
    lspconfig.svlangserver.setup({})
    lspconfig.texlab.setup({})

    lspconfig.ts_ls.setup({
      init_options = {
        plugins = {
          {
            name = "@vue/typescript-plugin",
            location = volar_path,
            languages = { "vue" },
          },
        },
      },
      filetypes = { "typescript", "javascript", "javascriptreact", "typescriptreact", "vue" },
    })
    lspconfig.volar.setup({})
    lspconfig.zig.setup({})
  end
}
